Ryzom - Feature # 202

Status: Closed Priority: Normal
Author: titegus Category: Tools: General
Created: 11/28/2008 Assignee: sfb

Updated: 09/30/2010 Due date:

Subiject: porting Tools to Qt : Word_Dic

Description

| just gave it a try to port NeL Tools to Qt (version 4.4.3).

Started with word_dic as it's a very simple tool, so if someone is willing to test it (on Linux / Mac ) and validate that the way i did it fits
the needs, i could go on with some more interesting tools !

History

#1 - 11/29/2008 12:55 pm - titegus
- File word_dic_Qt-4.4.3.zip added

(Updated)

#2 - 11/29/2008 01:07 pm - kaetemi

Would be nice if you could add a screenshot or two to compare them here. :)

#3 - 11/29/2008 02:00 pm - titegus

errr ... Actually i'm just trying to port the tools with the very same Look'n'Feel (dunno maybe size and all are important for desktop organization)

| guess many improvments could be added (like replacing the config file by a directory browser to locate the dic files and a combo for the language) or

even new fonctionalities ( currently word_dic just copy/paste the Dictionary entries into the clipboard...)

I think i will port first to be cross platform and once it's validated, we can go further :) !

#4 - 11/29/2008 02:06 pm - kaetemi
Heheh, ok, but | don't have Qt etc installed here right now, so it would be nice to have a screenie, so | could see the apps in action. Could be useful for

later as well, once they get more documented etc. :)

#5 - 11/30/2008 01:06 am - titegus
- File word_dic_FileList.png added

- File word_dic_LookUp.png added
- File NeL_words_en.txt added

oki, so basically u just need to edit the words_dic.cfg config file, for example :
WordsPath = "C:/dev/Nel/gamedata/language";
LanguageCode = "en";

and run the application !

@Kaetemi : not sure we can really talk about an "app in action" tho :p

#6 - 12/06/2008 05:47 pm - kervala

- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r584.

#7 - 12/06/2008 05:49 pm - kervala

- Target version set to Version 0.7.0

| sightly changed Ul and added containers for expanding correctly all widgets when the dialog is resized.

Thanks a lot titegus ! Good job :)

#8 - 05/11/2009 05:10 pm - sfb

Applied in changeset r1432.

#9 - 05/11/2009 05:10 pm - sfb
- Status changed from Resolved to Closed
- Assignee set to sfb

Added to CMake build environment when option WITH_QT is specified.

#10 - 09/29/2010 09:27 pm - kervala

- Project changed from NeL to Ryzom

- Category deleted (Tools)

- Target version deleted (Version 0.7.0)

#11 - 09/30/2010 11:41 am - kervala
- Category set to Tools: General
- Target version set to Version 0.7.0

Files

word_dic_Qt-4.4.3.zip 45.7 kB 11/28/2008 titegus
word_dic_Qt-4.4.3.zip 449 kB 11/29/2008 titegus
word_dic_FileList.png 16 kB 11/30/2008 titegus
word_dic_LookUp.png 28.5 kB 11/30/2008 titegus
NelL_words_en.txt 1.2kB 11/30/2008 titegus
